@echo off
echo Inizio processing After Build: configurazione %1 , directory %2

RD /S /Q %2"\lib\ar"
RD /S /Q %2"\lib\cs"
RD /S /Q %2"\lib\da"
RD /S /Q %2"\lib\de"
RD /S /Q %2"\lib\es"
RD /S /Q %2"\lib\fr"
RD /S /Q %2"\lib\it"
RD /S /Q %2"\lib\ja-JP"
RD /S /Q %2"\lib\ko"
RD /S /Q %2"\lib\lv"
RD /S /Q %2"\lib\nl"
RD /S /Q %2"\lib\pl"
RD /S /Q %2"\lib\pt"
RD /S /Q %2"\lib\pt-BR"
RD /S /Q %2"\lib\ru"
RD /S /Q %2"\lib\sk"
RD /S /Q %2"\lib\sv"
RD /S /Q %2"\lib\th"
RD /S /Q %2"\lib\tr"
RD /S /Q %2"\lib\zh"
RD /S /Q %2"\lib\zh-TW"

MOVE /Y %2"ar" %2"lib\" 
MOVE /Y %2"cs" %2"lib\" 
MOVE /Y %2"da" %2"lib\" 
MOVE /Y %2"de" %2"lib\" 
MOVE /Y %2"es" %2"lib\" 
MOVE /Y %2"fr" %2"lib\" 
MOVE /Y %2"it" %2"lib\" 
MOVE /Y %2"ja-JP" %2"lib\" 
MOVE /Y %2"ko" %2"lib\" 
MOVE /Y %2"lv" %2"lib\" 
MOVE /Y %2"nl" %2"lib\" 
MOVE /Y %2"pl" %2"lib\" 
MOVE /Y %2"pt" %2"lib\" 
MOVE /Y %2"pt-BR" %2"lib\" 
MOVE /Y %2"ru" %2"lib\" 
MOVE /Y %2"sk" %2"lib\" 
MOVE /Y %2"sv" %2"lib\" 
MOVE /Y %2"th" %2"lib\" 
MOVE /Y %2"tr" %2"lib\" 
MOVE /Y %2"zh" %2"lib\" 
MOVE /Y %2"zh-TW" %2"lib\" 


if %1 == "Release" goto ReleaseExec
if %1 == Release goto ReleaseExec
if %1 == "Debug" goto DebugExec
if %1 == Debug goto DebugExec
if %1 == "Remote_DEBUG" goto RemoteDebugExec
if %1 == Remote_DEBUG goto RemoteDebugExec

:ReleaseExec
echo Release processing...
del /S %2"*.pdb""
del /S %2"*.xml""
del /S %2"lib/*.pdb""
echo Release: eliminato pdb + xml!!!
goto END
 
:DebugExec
echo Debug processing...

goto END


:RemoteDebugExec
echo Remote_DEBUG processing, effettuo copia script verso server remoto (ROBOCOPY)
REM copia script verso server remoto
REM echo Debug remoto: effettuo robocopy sync (verificare remote per cliente)

REM FINASSI
REM ROBOCOPY %2 \\10.150.0.1\Steamware\IOB-WIN-FTP-DEB /MIR
REM Baglietto
REM ROBOCOPY %2 \\192.168.60.15\Steamware\IOB-WIN-FTP-DEB /MIR
REM GIACOVELLI LOCOROTONDO
REM ROBOCOPY %2 \\192.168.1.93\Steamware\IOB-WIN-FTP-DEB /MIR
REM IMI Remosa
REM ROBOCOPY %2 \\192.168.0.12\Steamware\IOB-WIN-FTP-DEB /MIR

REM IOB-WIN-SIM
REM ROBOCOPY %2 \\IOB-WIN-SIMULA\Steamware\IOB-WIN-FTP-DEB /MIR

REM IOBVPN4MACHINE
REM ROBOCOPY %2 \\10.51.90.5\Steamware\IOB-WIN-FTP-DEB /MIR
REM ROBOCOPY %2 \\10.51.90.5\Steamware\IOB-WIN-FTP-DEB /MIR /log:RobocopyTransfer.log
REM ROBOCOPY %2 Z:\IOB-WIN-FTP-DEB /MIR
REM ROBOCOPY %2 \\10.51.90.10\Steamware\IOB-WIN-FTP-DEB /MIR
ROBOCOPY %2 \\10.51.90.9\Steamware\IOB-WIN-FTP-DEB /MIR

goto END

:END
echo Fatto!